All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
bisect.hpp File Reference

Implementation of the algorithm for finding eigenvalues of a tridiagonal matrix. More...

`#include <vector>`
`#include <cmath>`
`#include <limits>`
`#include <cstddef>`
`#include "viennacl/meta/result_of.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.

## Functions

template<typename NumericT , typename OtherVectorT >
void | viennacl::linalg::detail::copy_vec_to_vec (viennacl::vector< NumericT > const &src, OtherVectorT &dest)
| overloaded function for copying vectors More...
template<typename OtherVectorT , typename NumericT >
void | viennacl::linalg::detail::copy_vec_to_vec (OtherVectorT const &src, viennacl::vector< NumericT > &dest)
template<typename VectorT1 , typename VectorT2 >
void | viennacl::linalg::detail::copy_vec_to_vec (VectorT1 const &src, VectorT2 &dest)
template<typename VectorT >
std::vector< typename viennacl::result_of::cpu_value_type < typename VectorT::value_type > ::type > | viennacl::linalg::bisect (VectorT const &alphas, VectorT const &betas)
| Implementation of the bisect-algorithm for the calculation of the eigenvalues of a tridiagonal matrix. Experimental - interface might change. More...

## Detailed Description

Implementation of the algorithm for finding eigenvalues of a tridiagonal matrix.

Contributed by Guenther Mader and Astrid Rupp.

Definition in file bisect.hpp.